Could the browser cia be reinstalled after updating?

Discussion in '3DS - Flashcards & Custom Firmwares' started by masterzero, Mar 3, 2015.

  1. masterzero
    OP

    masterzero GBAtemp Advanced Fan

    Member
    610
    102
    Apr 20, 2007
    I read about a method to change the console to any firmware with devmenu by installing all cias of that version. Would it be possible to install 9.5.0-23 and then put back the old browser for keep use of the exploit?
     


  2. Thesolcity

    Thesolcity Wherever the light shines, it casts a shadow.

    Member
    2,157
    597
    Oct 2, 2010
    United States
    San Miguel
    Are you looking for the program that allows you to download only parts of the update and install them through .cia? I'd be horrified at that kind of franken-firmware.
     
  3. cearp

    cearp the ticket master

    Member
    7,405
    4,656
    May 26, 2008
    Tuvalu
    what i would do, is change the exploitable browser's version number to FFFF, so that once you update to the 9.5.0-23, that the updated browser will not get installed.
    i guess it would work, and better yet, it should be 100% reversible because the internet borwser is one of the few system titles we can delete in devmenu :)
    if you do this, the internet browser would only work in GW mode, not classic mode.
     
    Margen67 likes this.
  4. masterzero
    OP

    masterzero GBAtemp Advanced Fan

    Member
    610
    102
    Apr 20, 2007
    well it would only be 1 cia :P , nothing big

    Just interested in knowing . I planned to play pokemon online again with the exploit ( legal pokemons , I'm just lazy to create them) and this update shafts my idea a bit :P
     
  5. _eyCaRambA_

    _eyCaRambA_ GBAtemp Advanced Fan

    Member
    522
    139
    Apr 22, 2009
    United States
    Right around the cornerâ„¢
    You'd need to be able to install cias/run DevMenu on 9.5 in the first place which is impossible right now (if you're talking about modifiying SysNAND. Modifying EmuNAND doesn't make sense after all since the browser exploit doesn't work there if I'm not mistaken).
     
  6. masterzero
    OP

    masterzero GBAtemp Advanced Fan

    Member
    610
    102
    Apr 20, 2007

    :O cearp and how ycan you do that? so we can try :P
     
    Margen67 likes this.
  7. cearp

    cearp the ticket master

    Member
    7,405
    4,656
    May 26, 2008
    Tuvalu
    sure, but if you follow my idea/method, you can keep the exploitable internet browser. (if the exploit stuff is patched solely within the browser, no it does not rely on any other fw stuff)
     
    Margen67 likes this.
  8. masterzero
    OP

    masterzero GBAtemp Advanced Fan

    Member
    610
    102
    Apr 20, 2007

    doesn't work ? I didnt hear that , is that true?
     
  9. cearp

    cearp the ticket master

    Member
    7,405
    4,656
    May 26, 2008
    Tuvalu
    if you are on windows, use ground's tool, 3dnus - download the correct title id for the internet browser, and the version it was on 9.5.0-22
    enter the version number to download as 4096. - and spoof the version number to a big number like 23456.
    (if you are not on windows, you can try with my tool UpdateCDN, it is not super easy to do it with this, but it is possible, then use my tool EditTMD to change the version number)

    once you have installed the cia, then you can update to 9.5.0-23, and you SHOULD be all ok... no promises.
    but yes this is reversible i think, because we can delete the spoofed version internet browser in devmenu :)

    internet browser title id:
    0004003000008802 - jpn
    0004003000009D02 - eur
    0004003000009402 - usa
     
    Monty Kensicle likes this.
  10. WulfyStylez

    WulfyStylez SALT/Bemani Princess

    Member
    1,149
    2,607
    Nov 3, 2013
    United States
    Yeah cearp, breaking tmd signatures will break the browser entirely. While that works fine for DS whitelist (for some reason, what a strange bug), you need the browser to actually be functional here.
     
  11. cearp

    cearp the ticket master

    Member
    7,405
    4,656
    May 26, 2008
    Tuvalu
    sure, but it will work in GW mode... (how else do you think we would even install the CIA? :D)
    i said it already, that yeah it won't work in classic mode :)
    this is so we can use gw emunand but keep the exploitable browser.
     
    Margen67 likes this.
  12. WulfyStylez

    WulfyStylez SALT/Bemani Princess

    Member
    1,149
    2,607
    Nov 3, 2013
    United States
    I was under the impression spider hax don't work as-is on emunand, though.
     
  13. masterzero
    OP

    masterzero GBAtemp Advanced Fan

    Member
    610
    102
    Apr 20, 2007
    hmm can anyone confirm ? because if gw mode can't use the exploit then it's pretty useless doing that :P
     
  14. cearp

    cearp the ticket master

    Member
    7,405
    4,656
    May 26, 2008
    Tuvalu
    hmm, about that, i have no idea... :) i think i read people saying stuff like 'why doesn't the pokemon shuffle web hack thing, work in emunand? because other web code.bin hacks DO work in emunand' --- so, i think some web hack stuff works in emunand...?
     
    Margen67 likes this.
  15. cearp

    cearp the ticket master

    Member
    7,405
    4,656
    May 26, 2008
    Tuvalu
    WulfyStylez -
    (talking about that the pokemon shuffle hack does not work, but how the mario kart one does)


    - so yeah, this can be useful. although, i am not sure if people will support the exploitable browser running on 3ds fw 10.0 (in the future), since offsets will be at different places etc etc, but still, it is entirely possible
    this is much better than not having an exploitable browser :D
     
    Margen67 likes this.
  16. cearp

    cearp the ticket master

    Member
    7,405
    4,656
    May 26, 2008
    Tuvalu
    actually - if we can delete the internet browser in 9.5.0-23 devmenu (which i am pretty sure we can) -- why not just delete it, and reinstalled the old one, not even spoofed.
    (but i think eshop checks the version of 'everything' when you open it, so this would not let you get into eshop i think)

    but so even if you update to 9.5.0-23, it is not too late to try this out
     
    Margen67 and chemistryfreak like this.
  17. red9350

    red9350 Member

    Newcomer
    24
    6
    Jan 10, 2015
    Italy
    Anyone willing to test?
     
    Margen67 likes this.
  18. aos10

    aos10 look at me,shitposting about GW,i am so cool

    Member
    2,827
    635
    Apr 10, 2012
    Saudi Arabia
    but , the devmenu is not accessible in sysnand
    and there is no point for the web exploit in emunand

    what we want , is the ability to install the 9.2 update manually
    so i can upgrade and downgrade anytime
     
  19. cearp

    cearp the ticket master

    Member
    7,405
    4,656
    May 26, 2008
    Tuvalu
    yes there is a point for the web exploit in emunand:
     
    Margen67 likes this.
  20. tony_2018

    tony_2018 GBAtemp Psycho!

    Member
    3,106
    1,050
    Jan 3, 2014
    United States
    Sounds like the same method you did with the timewarp cia correct? Seeing as your PoC has worked I'd say this could definitely work. I have a feeling you tried it already......
     
    Margen67 likes this.